Skip to main content
GET
/
v2
/
salesChannels
Get Sales Channels
curl --request GET \
  --url https://api.jtl-cloud.com/erp/v2/salesChannels \
  --header 'Authorization: Bearer <token>' \
  --header 'x-api-key: <api-key>' \
  --header 'x-appid: <x-appid>' \
  --header 'x-appversion: <x-appversion>' \
  --header 'x-tenant-id: <x-tenant-id>'
[
  {
    "id": "<string>",
    "type": 0,
    "name": "<string>",
    "itemCapabilities": {
      "descriptions": true,
      "onlineShopActivation": true,
      "prices": true,
      "specialPrices": true,
      "images": true
    },
    "categoryCapabilities": {
      "descriptions": true,
      "onlineShopActivation": true
    },
    "documentationUrl": "<string>"
  }
]

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

x-api-key
string
header
required

Optional: If no token is present, the API Gateway injects it.

Headers

x-appid
string
required

This is the name of your application, e.g. "MyApp/1.0.0". It is used to identify your application.

x-appversion
string
required

This is where the version number of your application is entered, e.g. "1.0.0".

x-runas
string

The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.

X-SessionId
string<uuid>

The id of a session in which the call will be executed.

x-companyid
string

The Company-Id (int or uuid) of the company on whose behalf the request is executed.

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

Response

Returns all sales channels with the available endpoints.

id
string

Unique ID to identify a sales channel.

type
enum<integer>

Type of the sales channel.

Available options:
0,
1,
2,
3,
4,
5,
6,
7,
8,
9,
10
name
string

Name of the sales channel, e.g. eBay.de, amazon.uk, myshop.de.

itemCapabilities
object

Indicates which parts of items can be manipulated for a specific sales channel via REST-API.

categoryCapabilities
object

Indicates which parts of categories can be manipulated for a specific sales channel via REST-API.

documentationUrl
string

URL for the documentation of the available endpoints for this specific sales channel.